function BlackMarketManager:forced_throwable()
    return "none"
end

function BlackMarketManager:forced_weapon(category)
	local lvl_id = managers.job:current_level_id()
	local cat_item = category == "primary" and "wpn_fps_saw" or "wpn_fps_saw_secondary"

    local cached_data = self["_forced_" .. category .. "_data_cache"]

	if cached_data and cached_data.lvl_id == lvl_id then
        self:set_weapon_equipped_cache(category, cached_data.data)
		return cached_data.data
	end

	local blueprint = deep_clone(managers.weapon_factory:get_default_blueprint_by_factory_id(cat_item))

	local data = {
		equipped = true,
		factory_id = cat_item,
		blueprint = blueprint,
		weapon_id = managers.weapon_factory:get_weapon_id_by_factory_id(cat_item),
		global_values = {}
	}
	self["_forced_" .. category .. "_data_cache"] = {
		data = data,
		lvl_id = lvl_id
	}
    self:set_weapon_equipped_cache(category, data)
	return data
end